org.apache.xmlbeans.impl.tool

## Class StreamInstanceValidator

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.StreamInstanceValidator

    public class StreamInstanceValidator
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`StreamInstanceValidator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(String[] args)`
`static void` `printUsage()`
`static void` `validateFiles(File[] instanceFiles, SchemaTypeLoader sLoader, XmlOptions options)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamInstanceValidator

    public StreamInstanceValidator()

### Method Detail

#### printUsage

    public static void printUsage()

#### main

    public static void main(String[] args)

#### validateFiles

    public static void validateFiles(File[] instanceFiles,
                                     SchemaTypeLoader sLoader,
                                     XmlOptions options)